## librcc 0.2.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.3)
project(librcc)

set(CMAKE_VERBOSE_MAKEFILE YES)
set(CMAKE_BUILD_TYPE RELEASE)

if (WIN32)
    SET(USR_FOLDER "C:/DEVEL/UNIX" CACHE PATH "Path to libraries and includes")
    SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES};${USR_FOLDER}/include)
    INCLUDE_DIRECTORIES(${USR_FOLDER}/include)
    
    find_library(ZLIB_LIBRARY NAMES zlib PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
    if (NOT ZLIB_LIBRARY)
	MESSAGE(FATAL_ERROR "Could not find zlib")
    endif()

    find_library(LIBXML2_LIBRARY NAMES libxml2 PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
    if (NOT LIBXML2_LIBRARY)
	MESSAGE(FATAL_ERROR "Could not find LibXML2")
    endif()

    find_library(ICONV_LIBRARY NAMES libiconv PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
    if (NOT ICONV_LIBRARY)
	MESSAGE(FATAL_ERROR "Could not find iconv")
    endif ()
    
    find_library(ENCA_LIBRARY NAMES libenca PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
    if (ENCA_LIBRARY)
	SET(HAVE_ENCA TRUE)
    endif()
    
    find_library(LIBRCD_LIBRARY NAMES rcd PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
    if (LIBRCD_LIBRARY)
	SET(HAVE_RCD TRUE)
    endif()

    find_library(WSOCK_LIBRARY NAMES wsock32)
    if (NOT WSOCK_LIBRARY)
	MESSAGE(FATAL_ERROR "Could not find wsock library")
    endif()

else (WIN32)
    MESSAGE(FATAL_ERROR "Windows build only, use autoconf for POSIX-compliant systems")
endif (WIN32)



INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES (sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES (sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES (sys/file.h HAVE_SYS_FILE_H)
CHECK_INCLUDE_FILES (sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES (sys/select.h HAVE_SYS_SELECT_H)
CHECK_INCLUDE_FILES (sys/socket.h HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES (sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES (signal.h HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES (sys/un.h HAVE_SYS_UN_H)
CHECK_INCLUDE_FILES (unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES (pwd.h HAVE_PWD_H)
CHECK_INCLUDE_FILES (dlfcn.h HAVE_DLFCN_H)
CHECK_INCLUDE_FILES (fcntl.h HAVE_FCNTL_H)
CHECK_INCLUDE_FILES (iconv.h HAVE_ICONV_H)
CHECK_INCLUDE_FILES (inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES (strings.h HAVE_STRINGS_H)

INCLUDE (CheckTypeSize)
CHECK_TYPE_SIZE(size_t      SIZEOF_SIZE_T)
IF(NOT HAVE_SIZEOF_SIZE_T)
  SET(size_t "unsigned int")
ENDIF(NOT HAVE_SIZEOF_SIZE_T)

CHECK_TYPE_SIZE(ssize_t     SIZEOF_SSIZE_T)
IF(NOT HAVE_SIZEOF_SSIZE_T)
  CHECK_TYPE_SIZE("long"  SIZEOF_LONG)
  CHECK_TYPE_SIZE("__int64"  SIZEOF___INT64)
  IF(SIZEOF_LONG EQUAL SIZEOF_SIZE_T)
    SET(ssize_t long)
  ENDIF(SIZEOF_LONG EQUAL SIZEOF_SIZE_T)
  IF(NOT ssize_t AND SIZEOF___INT64 EQUAL SIZEOF_SIZE_T)
    SET(ssize_t __int64)
  ENDIF(NOT ssize_t AND SIZEOF___INT64 EQUAL SIZEOF_SIZE_T)
ENDIF(NOT HAVE_SIZEOF_SSIZE_T)

INCLUDE (CheckFunctionExists)
CHECK_FUNCTION_EXISTS(nanosleep HAVE_NANOSLEEP)
CHECK_FUNCTION_EXISTS(usleep HAVE_USLEEP)
CHECK_FUNCTION_EXISTS(flock HAVE_FLOCK)
CHECK_FUNCTION_EXISTS(lockf HAVE_LOCKF)
CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC)
CHECK_FUNCTION_EXISTS(strcasecmp HAVE_STRCASECMP)
CHECK_FUNCTION_EXISTS(strncasecmp HAVE_STRNCASECMP)
CHECK_FUNCTION_EXISTS(ftruncate HAVE_FTRUNCATE)

IF(NOT HAVE_STRCASECMP AND WIN32)
    SET(strcasecmp _stricmp)
endif(NOT HAVE_STRCASECMP AND WIN32)

IF(NOT HAVE_STRNCASECMP AND WIN32)
    SET(strncasecmp _strnicmp)
endif(NOT HAVE_STRNCASECMP AND WIN32)

IF(NOT HAVE_FTRUNCATE AND WIN32)
    SET(ftruncate _chsize)
endif(NOT HAVE_FTRUNCATE AND WIN32)

INCLUDE (CheckLibraryExists)
INCLUDE (CheckSymbolExists)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(src)
add_subdirectory(examples)

=== src/CMakeLists.txt ===
if (NOT WIN32)
#    SET(BUILD_SHARED_LIBS ON)
endif (NOT WIN32)

SET(CMAKE_INCLUDE_CURRENT_DIR ON)

INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})

SET(HEADERS 
    librcc.h
)

SET(INTERNAL_HEADERS
    internal.h
    curconfig.h
    engine.h
    fs.h
    lng.h
    lngconfig.h
    lngrecode.h
    opt.h
    plugin.h
    rccconfig.h
    rccdb4.h
    rccenca.h
    rccexternal.h
    rcchome.h
    rcciconv.h
    rcclist.h
    rcclocale.h
    rcclock.h
    rccmutex.h
    rccspell.h
    rccstring.h
    rcctranslate.h
    rccxml.h
    recode.h
)

SET(rcc_SRCS
    librcc.c
    curconfig.c
    engine.c
    fs.c
    lng.c
    lngconfig.c
    lngrecode.c
    opt.c
    plugin.c
    rccconfig.c
    rccdb4.c
    rccenca.c
    rccexternal.c
    rcchome.c
    rcciconv.c
    rcclist.c
    rcclocale.c
    rcclock.c
    rccmutex.c
    rccspell.c
    rccstring.c
    rcctranslate.c
    rccxml.c
    recode.c
    ${INTERNAL_HEADERS}
    ${HEADERS}
)

ADD_LIBRARY(rcc ${rcc_SRCS})
TARGET_LINK_LIBRARIES(rcc ${LIBXML2_LIBRARY} ${ICONV_LIBRARY} ${ENCA_LIBRARY} ${LIBRCD_LIBRARY} ${ZLIB_LIBRARY} ${WSOCK_LIBRARY})

## librcc 0.2.9

=== debian/changelog ===
librcc (0.2.9-3.1ubuntu1) trusty; urgency=low

  * debian/patches/fix-segfault.patch: (LP: #1183580)
    - Add patch from upstream to fix a segfault in rccGetDefaultLanguage

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 17 Nov 2013 12:04:59 +0100

librcc (0.2.9-3.1build1) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 01 Nov 2013 23:42:48 +0000

librcc (0.2.9-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Including individual glib headers no longer supported":
    Add patch glib-single-include.patch from Colin Watson:
    - Include <glib.h> rather than individual headers.
    (Closes: #665573)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 May 2013 18:49:39 +0200

librcc (0.2.9-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1
    - add patch from ubuntu (Closes: #619675)

 -- Ivan Borzenkov <ivan1986@list.ru>  Mon, 28 Mar 2011 00:01:50 +0400

librcc (0.2.9-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
    - add misc:Depends
  * change rules to new debhelper
  * chande source format to 3.0(quilt)

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 16 Apr 2010 23:47:54 +0400

librcc (0.2.9-1) unstable; urgency=low

  * New upstream release
  * all patches in upstream - remove

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 13 Oct 2009 15:54:27 +0400

librcc (0.2.8-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
    - add remove_slash.patch for fix lintian error
  * fix building with eglibc (Closes: #550065)
  * add patch of segfault in db4.7

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 11 Oct 2009 11:25:55 +0400

librcc (0.2.8-2) unstable; urgency=low

  * Fix Replaces for librccgtk2-0

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 18 Jan 2009 20:16:59 +0300

librcc (0.2.8-1) unstable; urgency=low

  * New upstream release
  * Change License - GPL2 to LGPL2.1
  * Split librcc0 to librcc0 and librcc0-gtk (Closes: #512044)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sat, 17 Jan 2009 10:52:15 +0300

librcc (0.2.7-3) unstable; urgency=low

  * move gen doc to binary-arch (wait to split package) (Closes: #511823)

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 16 Jan 2009 21:00:40 +0300

librcc (0.2.7-2) unstable; urgency=low

  * Fix License - GPL to GPL2

 -- Ivan Borzenkov <ivan1986@list.ru>  Fri, 26 Dec 2008 03:12:34 +0300

librcc (0.2.7-1) unstable; urgency=low

  * NO Repack original source - original is good
  * New upstream release

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 16 Dec 2008 22:58:17 +0300

librcc (0.2.6-3) unstable; urgency=low

  * Repack original source
  * del source.lintian-overrides

 -- Ivan Borzenkov <ivan1986@list.ru>  Tue, 09 Dec 2008 01:16:27 +0300

librcc (0.2.6-2) unstable; urgency=low

  * add source.lintian-overrides when original code is not fox
  * fix clean error when original Makefile is exist
  * add watch file

 -- Ivan Borzenkov <ivan1986@list.ru>  Thu, 20 Nov 2008 23:14:01 +0300

librcc (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #507294)

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 16 Nov 2008 03:15:55 +0300

=== debian/control ===
Source: librcc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ivan Borzenkov <ivan1986@list.ru>
Build-Depends: debhelper (>= 7.0.50~), librcd-dev, libenca-dev, libdb-dev,
 libxml2-dev, libaspell-dev, doxygen, automake, libtool, pkg-config, libgtk2.0-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://rusxmms.sourceforge.net/

Package: librcc0
Section: libs
Architecture: any
Depends: librcd0, libenca0, ${shlibs:Depends}, ${misc:Depends}
Description: Library for autoconvert codepages
 Originally, the project was aimed to provide means to work with
 multiple encodings
  * Language Autodetection
  * On the fly translation between languages, using online-services!
  * Encoding Autodetection for most of European Languages1
  * Support for encoding detection plugins (besides Enca and LibRCD)
  * Recoding/translation of multi-language playlists!
  * Cache to speed-up re-recoding.
  * Possibility to configure new languages and encodings.
  * Shared configuration file. For example mentioned TagLib and
    LibID3 patches do not have their own user interface, but will
    utilize the same recoding configuration as XMMS.
  * As well the separate program for configuration adjustment is
    available.
  * GTK/GTK2 UI Library: you can add properties page to your GTK+
    application with 3 lines of code.
  * Menu localization opportunity

Package: librccgtk2-0
Section: libs
Architecture: any
Depends: librcc0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: librcc0 (<< 0.2.8-1)
Description: Library for autoconvert codepages GTK2 interface
 Originally, the project was aimed to provide means to work with
 multiple encodings
  * Language Autodetection
  * On the fly translation between languages, using online-services!
  * Encoding Autodetection for most of European Languages1
  * Support for encoding detection plugins (besides Enca and LibRCD)
  * Recoding/translation of multi-language playlists!
  * Cache to speed-up re-recoding.
  * Possibility to configure new languages and encodings.
  * Shared configuration file. For example mentioned TagLib and
    LibID3 patches do not have their own user interface, but will
    utilize the same recoding configuration as XMMS.
  * As well the separate program for configuration adjustment is
    available.
  * GTK/GTK2 UI Library: you can add properties page to your GTK+
    application with 3 lines of code.
  * Menu localization opportunity
 This package contains GTK/GTK2 UI Library.

Package: librcc-dev
Section: libdevel
Architecture: any
Depends: librcc0 (= ${binary:Version}), librccgtk2-0 (= ${binary:Version}),
 librcd-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Library for autoconvert codepages development files
 Originally, the project was aimed to provide means to work with
 multiple encodings
  * Language Autodetection
  * On the fly translation between languages, using online-services!
  * Encoding Autodetection for most of European Languages1
  * Support for encoding detection plugins (besides Enca and LibRCD)
  * Recoding/translation of multi-language playlists!
  * Cache to speed-up re-recoding.
  * Possibility to configure new languages and encodings.
  * Shared configuration file. For example mentioned TagLib and
    LibID3 patches do not have their own user interface, but will
    utilize the same recoding configuration as XMMS.
  * As well the separate program for configuration adjustment is
    available.
  * GTK/GTK2 UI Library: you can add properties page to your GTK+
    application with 3 lines of code.
  * Menu localization opportunity
 This package contains the include files, static library and
 development tools for librcc, as well as the testlibraw program.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	./configure --prefix=/usr --disable-libtranslate --enable-force-dynamic-engines

override_dh_auto_build:
	cd docs/api && doxygen Doxyfile
	dh_auto_build

override_dh_clean:
	test ! -f Makefile || $(MAKE) clean distclean distclean-am
	rm -rf docs/api/html
	rm -rf examples/Makefile statgen/Makefile examples/.deps
	rm -f aclocal.m4 m4/libtool.m4 m4/ltversion.m4
	rm -f configure examples/Makefile config.guess ltmain.sh config.sub config.h.in
	find ./ -name 'Makefile.in' -delete
	dh_clean


override_dh_auto_install:
	dh_auto_install
	for file in debian/tmp/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://dside.dyndns.org/files/rusxmms/librcc-([0-9.]*)\.tar\.bz2

## librcc 0.2.12

=== debian/changelog ===
librcc (0.2.12-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream version, closes: #740612. High urgency as bug is RC.
  * Remove obsolete glib-single-include.patch.
  * Increase debhelper version to 9, to get hardening features.
  * Fix sed line to clear dependency_libs in all .la files.
  * Added Vcs-* fields in control file.
  * Bumped Standards-Version (no changes needed).
  * Made watchfile more specific, to ignore some bogus files from upstream.

 -- Martín Ferrari <tincho@debian.org>  Sun, 09 Mar 2014 21:11:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: librcc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ivan Borzenkov <ivan1986@list.ru>
-Build-Depends: debhelper (>= 7.0.50~), librcd-dev, libenca-dev, libdb-dev,
- libxml2-dev, libaspell-dev, doxygen, automake, libtool, pkg-config, libgtk2.0-dev
-Standards-Version: 3.9.1
+Maintainer: Ivan Borzenkov <ivan1986@list.ru>
+Build-Depends: debhelper (>= 9), librcd-dev, libenca-dev, libdb-dev,
+ libxml2-dev, libaspell-dev, doxygen, automake, libtool, pkg-config,
+ libgtk2.0-dev
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://rusxmms.sourceforge.net/
+Vcs-Bzr: http://dside.dyndns.org/bzr/rusxmms/librcc
+Vcs-Browser: http://dside.dyndns.org/rusxmms/browser/librcc
 
 Package: librcc0
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	./configure --prefix=/usr --disable-libtranslate \
		--enable-force-dynamic-engines

override_dh_auto_build:
	cd docs/api && doxygen Doxyfile
	dh_auto_build

override_dh_clean:
	test ! -f Makefile || $(MAKE) clean distclean distclean-am
	rm -rf docs/api/html
	rm -rf examples/Makefile statgen/Makefile examples/.deps
	rm -f aclocal.m4 m4/libtool.m4 m4/ltversion.m4
	rm -f configure examples/Makefile config.guess ltmain.sh config.sub
	rm -f config.h.in
	find ./ -name 'Makefile.in' -delete
	dh_clean

override_dh_auto_install:
	dh_auto_install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://dside.dyndns.org/files/rusxmms/librcc-([0-9.]*\.[0-9.]*\.[0-9.]*)\.tar\.bz2

## librcc 0.2.13+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,10 @@
     SET(USR_FOLDER "C:/DEVEL/UNIX" CACHE PATH "Path to libraries and includes")
     SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES};${USR_FOLDER}/include)
     INCLUDE_DIRECTORIES(${USR_FOLDER}/include)
+    INCLUDE_DIRECTORIES(${CMAKE_INSTALL_PREFIX}/include)
+    INCLUDE_DIRECTORIES(${CMAKE_INSTALL_PREFIX}/include/libxml2)
     
-    find_library(ZLIB_LIBRARY NAMES zlib PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
+    find_library(ZLIB_LIBRARY NAMES zlib z PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
     if (NOT ZLIB_LIBRARY)
 	MESSAGE(FATAL_ERROR "Could not find zlib")
     endif()
@@ -24,17 +26,17 @@
 	MESSAGE(FATAL_ERROR "Could not find iconv")
     endif ()
     
-    find_library(ENCA_LIBRARY NAMES libenca PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
+    find_library(ENCA_LIBRARY NAMES libenca PATHS ${USR_FOLDER} ${CMAKE_INSTALL_PREFIX} PATH_SUFFIXES "lib")
     if (ENCA_LIBRARY)
 	SET(HAVE_ENCA TRUE)
     endif()
     
-    find_library(LIBRCD_LIBRARY NAMES rcd PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
+    find_library(LIBRCD_LIBRARY NAMES rcd PATHS ${USR_FOLDER} ${CMAKE_INSTALL_PREFIX} PATH_SUFFIXES "lib")
     if (LIBRCD_LIBRARY)
 	SET(HAVE_RCD TRUE)
     endif()
 
-    find_library(WSOCK_LIBRARY NAMES wsock32)
+    find_library(WSOCK_LIBRARY NAMES wsock32 PATHS ${USR_FOLDER} PATH_SUFFIXES "lib")
     if (NOT WSOCK_LIBRARY)
 	MESSAGE(FATAL_ERROR "Could not find wsock library")
     endif()

=== examples/CMakeLists.txt ===
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../src)
LINK_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR}/../src)

ADD_EXECUTABLE(example1 example1.c)
ADD_EXECUTABLE(example2 example1.c)

TARGET_LINK_LIBRARIES(example1 rcc)
TARGET_LINK_LIBRARIES(example2 rcc)

#TARGET_LINK_LIBRARIES(librcc ${LIBXML2_LIBRARY} ${ICONV_LIBRARY} ${ENCA_LIBRARY} ${LIBRCD_LIBRARY})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,5 +66,5 @@
     ${HEADERS}
 )
 
-ADD_LIBRARY(rcc ${rcc_SRCS})
+ADD_LIBRARY(rcc SHARED ${rcc_SRCS})
 TARGET_LINK_LIBRARIES(rcc ${LIBXML2_LIBRARY} ${ICONV_LIBRARY} ${ENCA_LIBRARY} ${LIBRCD_LIBRARY} ${ZLIB_LIBRARY} ${WSOCK_LIBRARY})

=== debian/changelog ===
librcc (0.2.13+ds-2build4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:18:04 +0200

librcc (0.2.13+ds-2build3) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 06 Apr 2024 01:15:11 +0000

librcc (0.2.13+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:13:08 +0000

librcc (0.2.13+ds-2build1) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:34:15 +0000

librcc (0.2.13+ds-2) unstable; urgency=medium

  * QA upload.
  * No-change upload to unstable to enable build on buildds.

 -- Tobias Frost <tobi@debian.org>  Tue, 13 Sep 2022 14:52:58 +0200

librcc (0.2.13+ds-1) experimental; urgency=medium

  [ Tobias Frost ]
  * QA upload.
  * Add gbp config and salsa-ci config.

  [ Hugh McMaster ]
  * New upstream version (Closes: #829889, #949409).
  * Set Maintainer to Debian QA Group (see #875348).
  * Drop librcc GTK+ packaging due to minimal use.
  * debian/changelog: Trim trailing whitespace.
  * debian/control:
    + Priority: extra -> optional.
    + Switch to debhelper-compat v13 and drop debian/compat file.
    + Point Vcs-* fields to Debian Salsa.
    + Raise Standards-Version to 4.6.1 from 3.9.5 (no changes needed).
    + Declare Rules-Requires-Root: no.
    + Build-Depends: drop libgtk2.0-dev (Closes: #967587).
    + Drop librccgtk2-0 binary package.
    + Add separate librccui0 binary package.
    + Split documentation and examples into a new package: librcc-doc.
    + Let dh_shlibs calculate shared library dependencies.
    + Add Multi-Arch fields to all binary packages.
    + Update package descriptions.
    + Remove duplicated Section fields.
    + Trim trailing whitespace.
  * debian/copyright: Convert to DEP-5 format and update.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/rules:
    + Let dh_auto_configure pass --host to ./configure (Closes: #864625).
    + Let dh_auto_clean remove build-time files.
    + Drop dh_auto_install override.
    + Install the development documentation in librcc-dev but package the
      files in librcc-doc (as preferred by Debian Policy section 12.3).
    + Add hardening flags to DEB_BUILD_MAINT_OPTIONS.
    + Set DPKG_GENSYMBOLS_CHECK_LEVEL to level 4.
  * debian/upstream: Add metadata file.
  * debian/watch: Use version 4 and point to upstream's GitHub repository.
  * Use multi-arch installation paths.
  * Add symbols files.
  * librcc-dev:
    + Install librcc's pkg-config file.
    + Don't install static libraries, *.la files or rccexternal.
    + Move the development documentation and examples into librcc-doc.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 29 Aug 2022 22:17:52 +1000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --enable-force-dynamic-engines \
	  --disable-libtranslate --disable-gtk2 --disable-gtk3

override_dh_auto_build:
	dh_auto_build
	cd docs/api && doxygen Doxyfile

override_dh_installdocs-indep:
	dh_installdocs -p librcc-doc --doc-main-package=librcc-dev

override_dh_clean:
	rm -rf docs/api/html
	dh_clean

=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
      repack, compression=xz, \
      dversionmangle=s/@DEB_EXT@//" \
  https://github.com/RusXMMS/librcc/tags .*/librcc-(\d\S+)\.tar\.gz
